function K = dotkron(A, B)
%DOTKRON Takes dot product across dim 1 and kronecker product across dim 2.
%   If A is n-by-k and B is n-by-m, then K is n-by-km.

    d = size(B, 2);
    K = repmat(B, 1, size(A, 2));
    for i = 1 : size(A, 2)
        K(:, (i-1)*d+(1:d)) = K(:, (i-1)*d+(1:d)) .* A(:, i);
    end

end
