function fig2(f, b_hat_1, b_hat_2, b, leg1, leg2, xl, yl, xe)
%FIG2 Figure for one estimator for slides
%   f       figure number
%   b_hat   Vector of b hat
%   b       true beta
%   xl      xlim of figure
%   yl      ylim of figure
%   xe      x edges of histogram

    figure(f)
    h1 = histogram(winsorv(b_hat_1, xl), xe, 'FaceAlpha', 0.6);
    hold on
    h2 = histogram(winsorv(b_hat_2, xl), xe, 'FaceAlpha', 0.6);
    xlim(xl)
    ylim(yl)
    xlabel('Estimate', 'Interpreter', 'LaTex')
    ylabel('Frequency', 'Interpreter', 'LaTex')
    plot([b b], yl, '--black')
    hold off
    legend([h2 h1], {leg2, leg1}, 'Location', 'northwest', 'Interpreter', 'LaTex')
    legend('boxoff')
    set(gca, 'FontSize', 20)
    set(gca, 'TickLabelInterpreter', 'LaTex')

end
