function progbar(n, N, d)
%PROGBAR Progress bar with time keeping.
%   n   Current iteration
%   N   Number of total iterations
%   d   Number of steps to display progress

    persistent t0 t

    if n == 0
        t0 = tic;
        t = t0;
        return
    end
    if nargin == 3 && mod(n, d) ~= 0
        return
    end

    [h, m, s] = hms(seconds(toc(t0)));
    diff = toc(t);
    t = tic;
    p = 100*n/N;

    str = [sprintf('%3.0f%% ', p) '|-----|-----|-----|-----| ' sprintf('%d:%02d:%02.0f (+%.0fs)', h, m, s, diff)];
    index = 5 + [2 3 4 5 6 8 9 10 11 12 14 15 16 17 18 20 21 22 23 24];
    str(index(1 : ceil(p/5))) = '';

    disp(str)
end
