function A = psdrnd(n, m)
%PSDRND Random positive semidefinite matrices.
%   Returns an n-by-n-by-m array.

    if nargin < 2
        m = 1;
    end

    A = zeros(n, n, m);

    for i = 1 : m
        B = 2 * betarnd(2, 2, n) - 1;
        B(logical(eye(n))) = 1;
        A(:, :, i) = diag(chi2rnd(2, n, 1)) * B;
    end

end
